Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: BUG: ajp-methods, ajp-requests
From: Patrik Karlsson <patrik () cqure net>
Date: Sun, 17 Jun 2012 19:32:37 +0200

On Sat, Jun 16, 2012 at 10:33 AM, Lee Baird <leebaird () gmail com> wrote:

I'm scanning the new Metasploitable2 running this service.  Getting the
following stack traces.


nmap -Pn -n --open -p8009 --script=ajp-methods 172.16.7.211

Starting Nmap 6.00 ( http://nmap.org ) at 2012-06-16 03:59 EDT
NSE: Failed to load /usr/local/bin/../share/nmap/scripts/ajp-methods.nse:
/usr/local/bin/../share/nmap/nselib/ajp.lua:10: attempt to call field
'module' (a nil value)
stack traceback:
       /usr/local/bin/../share/nmap/nselib/ajp.lua:10: in main chunk
       [C]: in function 'require'
       /usr/local/bin/../share/nmap/scripts/ajp-methods.nse:1: in main
chunk
NSE: failed to initialize the script engine:
/usr/local/bin/../share/nmap/nse_main.lua:442: could not load script
stack traceback:
       [C]: in function 'error'
       /usr/local/bin/../share/nmap/nse_main.lua:442: in function 'new'
       /usr/local/bin/../share/nmap/nse_main.lua:675: in function
'get_chosen_scripts'
       /usr/local/bin/../share/nmap/nse_main.lua:1103: in main chunk
       [C]: ?

QUITTING!


====================================================================================================

nmap -Pn -n --open -p8009 --script=ajp-requests 172.16.7.211

Starting Nmap 6.00 ( http://nmap.org ) at 2012-06-16 03:59 EDT
NSE: failed to initialize the script engine:
/usr/local/bin/../share/nmap/nse_main.lua:671: 'ajp-requests' did not
match a category, filename, or directory
stack traceback:
       [C]: in function 'error'
       /usr/local/bin/../share/nmap/nse_main.lua:671: in function
'get_chosen_scripts'
       /usr/local/bin/../share/nmap/nse_main.lua:1103: in main chunk
       [C]: ?

QUITTING!


--

Lee Baird
leebaird () gmail com

_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://seclists.org/nmap-dev/


Hi Lee,

My best guess would be that you downloaded the script from the nmap page or
svn?
Lua was upgraded to 5.2 just after the nmap 6.0 release requiring changes
to all scripts and libraries.
These changes are unfortunately not backwards compatible with the older Lua
that was shipped with 6.0.
Your best bet is to get the latest nmap version from subversion if you want
to run scripts that were released post nmap 6.0.

//Patrik
-- 
Patrik Karlsson
http://www.cqure.net
http://twitter.com/nevdull77
_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://seclists.org/nmap-dev/


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]